<?php 
// session_start inicia a sessão
session_start();

require('login/pass_advanced.dat');
require('login/pass_customer.dat');
require('login/pass_support.dat');

// as variáveis login e senha recebem os dados digitados na página anterior
$login_digitado = $_POST['login'];
$senha_digitado = $_POST['senha'];


// monto o if baseado nos logins do arquivo
if ($login_digitado == $login_advanced && $senha_digitado == $senha_advanced)
{
$_SESSION['login'] = $login_digitado;
$_SESSION['senha'] = $senha_digitado;
header('location:logado.php');
 
} elseif ($login_digitado == $login_customer && $senha_digitado == $senha_customer) {
$_SESSION['login'] = $login_digitado;
$_SESSION['senha'] = $senha_digitado;
header('location:logado.php');

} elseif ($login_digitado == $login_support && $senha_digitado == $senha_support) {
$_SESSION['login'] = $login_digitado;
$_SESSION['senha'] = $senha_digitado;
header('location:logado.php');
}

else{
  unset ($_SESSION['login']);
  unset ($_SESSION['senha']);
  header('location:senha_errada.php');   
  }
?>
